# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mm1-core"
version = "0.7.13"
build = false
exclude = ["**/*.snap"]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "M/M/1! Queueing, do you speak it?!"
readme = false
license = "MIT"
repository = "https://github.com/agner-rs/mm1"

[features]
default = ["test-util"]
test-util = []

[lib]
name = "mm1_core"
path = "src/lib.rs"

[dependencies.futures]
version = "^0.3"

[dependencies.mm1-address]
version = "=0.7.13"

[dependencies.mm1-common]
version = "=0.7.13"
features = [
    "logging",
    "futures",
]

[dependencies.mm1-proc-macros]
version = "=0.7.13"

[dependencies.mm1-proto]
version = "=0.7.13"

[dependencies.mm1-proto-system]
version = "=0.7.13"

[dependencies.rand]
version = "^0.9"

[dependencies.serde]
version = "^1.0"
features = ["derive"]

[dependencies.thiserror]
version = "^2.0"

[dependencies.tokio]
version = "^1.48.0"
features = [
    "macros",
    "rt",
    "time",
]

[dependencies.tracing]
version = "^0.1"
